/*
 ******************************* Creazione file *******************************
 *-------------------------------------|--------------------------------------*
 * Creatore : Marco Savegnago					Data di creazione : 30/03/2000
 * Codice   :
 *
 * Note:
 *
 *
 ******************************* Revisione file *******************************
 *-------------------------------------|--------------------------------------*
 * Revisore :                                  Data di revisione :
 * Versione : 0
 *
 * Note:
 *
 */

#ifndef	PCCIOFrame_h
#define	PCCIOFrame_h

// Struttura standard per la gestione dei frame in comunicazione.
struct PCCIO_FR_STR
{
	UCHAR	by_cmd;      // Comando.
	USHORT	w_arg;       // Argomento usato in funzione del comando.
	USHORT	w_size;      // Dimensione dei dati puntati da pby_data.
	PUCHAR	pby_data;    // Puntatore ai dati.
	BOOLEAN	b_ownData;

	PCCIO_FR_STR(UCHAR	by_Cmd, USHORT	w_Arg, USHORT	w_Size, PUCHAR	pby_Data=NULL);
	~PCCIO_FR_STR();

	USHORT HeaderChecksum();
	USHORT Checksum();
};


#endif	//	PCCIOFrame_h